Skip to main content
`Ctrl`+`K`

# vispy.visuals.gridlines module

class vispy.visuals.gridlines.GridLinesVisual(scale=(1, 1), color='w', grid_bounds=None, border_width=2)

  Bases: `ImageVisual`

  Displays regularly spaced grid lines in any coordinate system and at any scale.

  Parameters:
    scale tuple

      The scale factors to apply when determining the spacing of grid lines.

    color Color

      The base color for grid lines. The final color may have its alpha channel modified.

    grid_bounds tuple or None

      The lower and upper bound for each axis beyond which no grid is rendered. In the form of (minx, maxx, miny, maxy).

    border_width float

      Tickness of the border rendered at the bounds of the grid.

  property border_width
  property grid_bounds
  property size

    Get size of the image (width, height).